"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exportTree = void 0;
/*
    Export the tree in a nest object
*/
const exportTree = (issuesTree, node) => {
    const jsonObject = [];
    for (const initiative of issuesTree.childrenIterator(node)) {
        const epics = [];
        for (const epic of issuesTree.childrenIterator(initiative)) {
            const stories = [];
            for (const story of issuesTree.childrenIterator(epic)) {
                stories.push(story);
            }
            epic.children = stories;
            epics.push(epic);
        }
        initiative.children = epics;
        jsonObject.push(initiative);
    }
    return jsonObject;
};
exports.exportTree = exportTree;
